DK API 文档

lemon8 01

15 个接口

GETfetch discover banners

GET https://dkai.store/api/v1/lemon8/app/fetch_discover_banners

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/lemon8/app/fetch_discover_banners'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch discover tab

GET https://dkai.store/api/v1/lemon8/app/fetch_discover_tab

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/lemon8/app/fetch_discover_tab'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch discover tab information tabs

GET https://dkai.store/api/v1/lemon8/app/fetch_discover_tab_information_tabs

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/lemon8/app/fetch_discover_tab_information_tabs'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hot search keywords

GET https://dkai.store/api/v1/lemon8/app/fetch_hot_search_keywords

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/lemon8/app/fetch_hot_search_keywords'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post comment list

GET https://dkai.store/api/v1/lemon8/app/fetch_post_comment_list

1 积分 / 成功调用

参数位置要求说明
group_idquery必填
item_idquery必填
media_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/lemon8/app/fetch_post_comment_list?group_id=VALUE&item_id=VALUE&media_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post detail

GET https://dkai.store/api/v1/lemon8/app/fetch_post_detail

1 积分 / 成功调用

参数位置要求说明
item_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/lemon8/app/fetch_post_detail?item_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch topic info

GET https://dkai.store/api/v1/lemon8/app/fetch_topic_info

1 积分 / 成功调用

参数位置要求说明
forum_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/lemon8/app/fetch_topic_info?forum_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch topic post list

GET https://dkai.store/api/v1/lemon8/app/fetch_topic_post_list

1 积分 / 成功调用

参数位置要求说明
categoryquery必填
category_parameterquery必填
hashtag_namequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/lemon8/app/fetch_topic_post_list?category=VALUE&category_parameter=VALUE&hashtag_name=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user follower list

GET https://dkai.store/api/v1/lemon8/app/fetch_user_follower_list

1 积分 / 成功调用

参数位置要求说明
user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/lemon8/app/fetch_user_follower_list?user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user following list

GET https://dkai.store/api/v1/lemon8/app/fetch_user_following_list

1 积分 / 成功调用

参数位置要求说明
user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/lemon8/app/fetch_user_following_list?user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user profile

GET https://dkai.store/api/v1/lemon8/app/fetch_user_profile

1 积分 / 成功调用

参数位置要求说明
user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/lemon8/app/fetch_user_profile?user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget item id

GET https://dkai.store/api/v1/lemon8/app/get_item_id

1 积分 / 成功调用

参数位置要求说明
share_textquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/lemon8/app/get_item_id?share_text=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTget item ids

POST https://dkai.store/api/v1/lemon8/app/get_item_ids

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget user id

GET https://dkai.store/api/v1/lemon8/app/get_user_id

1 积分 / 成功调用

参数位置要求说明
share_textquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/lemon8/app/get_user_id?share_text=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。